Update Campaign

Update an existing campaign. Only the fields sent are updated.

PATCH https://api.platica.mx/v1/campaigns/{campaignId}

URL parameters

ParameterTypeDescriptionRequirement
campaignIdstringUnique identifier of the campaignrequired

Request Body

All fields are optional:

{
  "title": "Promo Verano 2025 - Actualizada",
  "category": "marketing",
  "platform": "whatsapp",
  "templateName": "promo_verano_v2",
  "owners": ["marketing@empresa.com"]
}

Available parameters

ParameterTypeDescription
titlestringCampaign title
categorystring"marketing" or "utility"
platformstringSend platform
templateNamestringTemplate name (validated)
messagestringMessage associated with the campaign
templatestringSerialized representation of the template
languagestringTemplate language
templateLanguagestringOriginal language of the validated template
wabaIdstringAssociated WABA
ownersstring[]List of responsible-user emails

Response 200 OK

{
  "status": "success",
  "message": "Campaign updated successfully",
  "data": {
    "id": "EgIOvaKPmrQFfuh6D023",
    "title": "Promo Verano 2026 - VIP",
    "category": "marketing",
    "platform": "whatsapp",
    "templateName": "promo_verano_2026_vip",
    "owners": ["marketing@empresa.com"],
    "lastUpdate": "2026-03-03T00:41:38.326Z"
  }
}